
Katello - Bug #18169

docker tags UI page not showing correct tags based upon permissions

01/19/2017 09:03 PM - Thomas McKay

Status: New   

Priority: Normal   

Assignee:    

Category: Container   

Target version: Katello Backlog   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Below is the 'hammer csv roles --export' for a role I've created.

The "Docker Tags" page is listing tags from repositories outside the scope of the user's permission (showing 148 when only 3 should

be visible).

Name,Resource,Search,Permissions,Organizations,Locations

Production Docker,Katello::KTEnvironment,name = Production,view_lifecycle_environments,Example Cor

poration,"" 

Production Docker,Katello::ContentView,"name = ""Red Hat Container Catalog""",view_content_views,E

xample Corporation,"" 

Production Docker,Katello::Product,"name =  ""Red Hat Container Catalog""",view_products,Example C

orporation,"" 

Related issues:

Copied from Katello - Bug #18168: content view docker repositories UI page no... New

History

#1 - 01/19/2017 09:03 PM - Thomas McKay

- Copied from Bug #18168: content view docker repositories UI page not showing correct environments based upon permissions added

#2 - 01/25/2017 02:34 PM - Justin Sherrill

- translation missing: en.field_release set to 114

Powered by TCPDF (www.tcpdf.org)

05/17/2024 1/1

http://www.tcpdf.org

